# $Revision: 1.22 $, $Date: 2002/01/13 13:14:25 $
Summary:	A library for controlling and tracing dynamic memory allocations
Summary(pl):	Biblioteka do kontroli i ledzenia dynamicznej alokacji pamici
Name:		mpatrol
Version:	1.4.8
Release:	1
License:	LGPL
Group:		Development/Debuggers
Group(de):	Entwicklung/Debugger
Group(pl):	Programowanie/Odpluskwiacze
Source0:	http://www.cbmamiga.demon.co.uk/mpatrol/files/%{name}_%{version}.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.cbmamiga.demon.co.uk/mpatrol/index.html
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
Prereq:		/sbin/ldconfig
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A link library that attempts to diagnose run-time errors that are
caused by the wrong use of dynamically allocated memory. Along with
providing a comprehensive and configurable log of all dynamic memory
operations that occurred during the lifetime of a program, the mpatrol
library performs extensive checking to detect any misuse of
dynamically allocated memory. All of this functionality can be
integrated into existing code through the inclusion of a single header
file at compile-time. All logging and tracing output from the mpatrol
library is sent to a separate log file in order to keep its
diagnostics separate from any that the program being tested might
generate. A wide variety of library settings can also be changed at
run-time via an environment variable, thus removing the need to
recompile or relink in order to change the library's behaviour.

%description -l pl
Biblioteka prbujca zdiagnozowa bdy dziaania programu spowodowane
zym uywaniem dynamicznie alokowanej pamici. Oprcz dawania
obszernego i konfigurowalnego loga wszystkich dynamicznych operacji na
pamici, ktre wystpiy podczas dziaania programu, biblioteka
mpatrol stara si wykry wszelkie niewaciwe uycia dynamicznie
przydzielonej pamici. Caa funkcjonalno moe by zintegrowana z
istniejcym kodem poprzez doczenie jednego pliku nagwkowego w
czasie kompilacji. Cae logi i zapis ledzenia z biblioteki mpatrol s
zapisywane do oddzielnego pliku aby oddzieli je od wszystkiego
innego, co program moe wygenerowa. Szeroki zakres ustawie
biblioteki moe by zmieniany bez rekompilacji poprzez ustawianie
zmiennych rodowiskowych.

%prep
%setup -q -n mpatrol
%patch -p1

%build
(cd build/unix
 %{__make} libmpatrol.a libmpatrol.so mpatrol mprof mleak \
	OFLAGS="%{rpmcflags}"
)
(cd doc; makeinfo mpatrol.texi)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_infodir}} \
	$RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man{1,3}}

install build/unix/{mpatrol,mprof,mleak} $RPM_BUILD_ROOT%{_bindir}

install src/mpatrol.h $RPM_BUILD_ROOT%{_includedir}
install build/unix/libmpatrol.{a,so*} $RPM_BUILD_ROOT%{_libdir}

install doc/mpatrol.info* $RPM_BUILD_ROOT%{_infodir}
install man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1
install man/man3/* $RPM_BUILD_ROOT%{_mandir}/man3

gzip -9nf README NEWS ChangeLog

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so*
%{_libdir}/*.a
%{_includedir}/*
%{_infodir}/*
%{_mandir}/man[13]/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mpatrol.spec,v $
Revision 1.22  2002/01/13 13:14:25  kloczek
- updated to 1.4.8 (bugfixes and porting improvements).

Revision 1.21  2001/12/06 15:21:00  qboosh
- pl description, cosmetics, Prereq: /sbin/ldconfig; release 2

Revision 1.20  2001/09/06 19:55:12  kloczek
- updated to 1.4.7.

Revision 1.19  2001/08/31 21:17:18  kloczek
- updated to 1.4.6.

Revision 1.18  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.16  2001/06/16 00:08:38  kloczek
- updated to 1.4.5.

Revision 1.15  2001/06/06 15:50:44  kloczek
- updated to 1.4.4.

Revision 1.14  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.13  2001/03/24 19:42:05  kloczek
- updated to 1.4.3,
- added libstdc++-devel to BuildRequires.

Revision 1.12  2001/03/16 02:37:03  kloczek
- updated to 1.4.2.

Revision 1.11  2001/03/01 04:53:49  kloczek
- updated to 1.4.1.

Revision 1.10  2001/02/22 18:05:39  kloczek
- updated to 1.4.0.

Revision 1.9  2001/01/27 21:06:06  kloczek
- updated to 1.3.4.

Revision 1.8  2001/01/25 20:03:25  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/08 16:15:56  kloczek
- updated to 1.3.3,
- added info patch with info index entry fix for mpatrol,
- simplifications in %build and %install,
- added texinfo to BuildRequires,
- removed Source1 with documemtiations in other formats.

Revision 1.6  2000/06/28 11:21:26  kloczek
- updated to 1.2.3,
- fix passing $RPM_OPT_FLAGS to compile options.

Revision 1.5  2000/06/20 12:45:42  mis
- partially rewrote (stripped binaries, gzipped docs, manuals
		     and info files, typo fixes)
- release 2

Revision 1.4  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.2  2000/05/18 00:32:55  kloczek
- adapterized and partialy rewrited.
